<?php
require_once "nusoap/lib/nusoap.php";
$client = new nusoap_client("timescales.wsdl", true);

$error = $client->getError();
if ($error) {
    echo "<h2>Constructor error</h2><pre>" . $error . "</pre>";
}

$result = $client->call("getTimescale", array("param" => "leapseconds", "datetime" => "2012-03-14 14:23:31"));

if ($client->fault) {
    echo "<h2>Fault</h2><pre>";
    print_r($result);
    echo "</pre>";
}
else {
    $error = $client->getError();
    if ($error) {
        echo "<h2>Error</h2><pre>" . $error . "</pre>";
    }
    else {
        echo "<h2>Timescales webservice test</h2><pre>";
        echo $result;
        echo "</pre>";
    }
}
